Page MenuHomePhabricator

Clean up UserrightsPage::userCanChangeRights
Closed, ResolvedPublic

Description

UserrightsPage::userCanChangeRights's return statement is virtually impossible to try to understand and modify.


Version: unspecified
Severity: trivial

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:19 AM
bzimport set Reference to bz35674.
bzimport added a subscriber: Unknown Object (MLST).
Krenair created this task.Apr 3 2012, 4:51 PM
Krinkle set Security to None.
Krinkle removed a subscriber: Unknown Object (MLST).
Danny_B moved this task from Unsorted to Cleanup on the Technical-Debt board.Jan 22 2016, 11:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 22 2016, 11:37 PM

Change 498639 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/core@master] SpecialUserrights: Improve ::userCanChangeRights() method logic

https://gerrit.wikimedia.org/r/498639

Restricted Application added a project: User-D3r1ck01. · View Herald TranscriptApr 28 2019, 10:00 PM
D3r1ck01 moved this task from Backlog to Doing [WIP] on the User-D3r1ck01 board.Apr 28 2019, 10:00 PM

Change 498639 merged by jenkins-bot:
[mediawiki/core@master] SpecialUserrights: Improve ::userCanChangeRights() method logic

https://gerrit.wikimedia.org/r/498639

D3r1ck01 closed this task as Resolved.Apr 29 2019, 8:28 AM
D3r1ck01 moved this task from Doing [WIP] to Reviewed/Resolved on the User-D3r1ck01 board.